Package wx :: Package lib :: Package agw :: Module piectrl :: Class ProgressPie

[frames | no frames]

## Type ProgressPie

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   PieCtrl --+
                             |
                            ProgressPie

Method Summary
| ``__init__`(self, parent, maxvalue, value, id, pos, size, style)` Default class constructor.
| ``GetFilledColour`(self)` Returns the colour that progressively fills the ProgressPie.
| ``GetMaxValue`(self)` Returns the progresspie maximum value.
| ``GetUnfilledColour`(self)` Sets the colour that is filled.
| ``GetValue`(self)` Returns the ProgressPie value.
| ``SetFilledColour`(self, colour)` Sets the colour that progressively fills the ProgressPie.
| ``SetMaxValue`(self, value)` Sets the progresspie maximum value.
| ``SetUnfilledColour`(self, colour)` Sets the colour that is filled.
| ``SetValue`(self, value)` Sets the ProgressPie value.

Property Summary

Instance Method Details

### __init__(self, parent, maxvalue, value, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=0)
(Constructor)

Default class constructor.

No special parameters are required, only the standard wxPython ones.

  Overrides:
    `wx.lib.agw.piectrl.PieCtrl.__init__`

### GetFilledColour(self)

Returns the colour that progressively fills the ProgressPie.

### GetMaxValue(self)

Returns the progresspie maximum value.

### GetUnfilledColour(self)

Sets the colour that is filled.

### GetValue(self)

Returns the ProgressPie value.

### SetFilledColour(self, colour)

Sets the colour that progressively fills the ProgressPie.

### SetMaxValue(self, value)

Sets the progresspie maximum value.

### SetUnfilledColour(self, colour)

Sets the colour that is filled.

### SetValue(self, value)

Sets the ProgressPie value.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:13 2009 | http://epydoc.sf.net